summaryrefslogtreecommitdiff
path: root/UnixPkg
diff options
context:
space:
mode:
authorandrewfish <andrewfish@6f19259b-4bc3-4df7-8a09-765794883524>2010-09-16 18:39:06 +0000
committerandrewfish <andrewfish@6f19259b-4bc3-4df7-8a09-765794883524>2010-09-16 18:39:06 +0000
commit45059fab2a4fdff047d4f485c9691f28d47f135e (patch)
tree74b933b3ec0d70704ba70deb3c6a013d0eea6b4d /UnixPkg
parentcd7bfc2c632841fab110f601a32850eeddc16af1 (diff)
downloadedk2-platforms-45059fab2a4fdff047d4f485c9691f28d47f135e.tar.xz
Clean up clean and clarify XCODE flags.
git-svn-id: https://edk2.svn.sourceforge.net/svnroot/edk2/trunk/edk2@10881 6f19259b-4bc3-4df7-8a09-765794883524
Diffstat (limited to 'UnixPkg')
-rw-r--r--UnixPkg/Sec/SecMain.inf2
-rwxr-xr-xUnixPkg/Xcode/xcode_project/XcodeBuild.sh3
-rwxr-xr-xUnixPkg/build64.sh11
3 files changed, 13 insertions, 3 deletions
diff --git a/UnixPkg/Sec/SecMain.inf b/UnixPkg/Sec/SecMain.inf
index 3bad28bf59..890c2ea7ab 100644
--- a/UnixPkg/Sec/SecMain.inf
+++ b/UnixPkg/Sec/SecMain.inf
@@ -96,7 +96,7 @@
# Need to do this link via gcc and not ld as the pathing to libraries changes from OS version to OS version
#
XCODE:*_*_IA32_DLINK_PATH == gcc
- XCODE:*_*_IA32_DLINK_FLAGS == -arch i386 -o $(BIN_DIR)/SecMain -L/usr/X11R6/lib -lXext -lX11 -lIOKit -framework Carbon
+ XCODE:*_*_IA32_DLINK_FLAGS == -arch i386 -o $(BIN_DIR)/SecMain -L/usr/X11R6/lib -lXext -lX11 -framework IOKit -framework Carbon
XCODE:*_*_IA32_ASM_FLAGS == -arch i386 -g
XCODE:*_*_X64_DLINK_PATH == gcc
diff --git a/UnixPkg/Xcode/xcode_project/XcodeBuild.sh b/UnixPkg/Xcode/xcode_project/XcodeBuild.sh
index e3827cec1f..096233b60f 100755
--- a/UnixPkg/Xcode/xcode_project/XcodeBuild.sh
+++ b/UnixPkg/Xcode/xcode_project/XcodeBuild.sh
@@ -10,5 +10,4 @@ set -e
# Source the workspace and set up the environment varaibles we need
#
cd ../..
-echo `pwd`
-./build.sh
+./build.sh $1 $2 $3 $4 $5 $6 $8
diff --git a/UnixPkg/build64.sh b/UnixPkg/build64.sh
index c80d29591d..ce3a96fe66 100755
--- a/UnixPkg/build64.sh
+++ b/UnixPkg/build64.sh
@@ -90,7 +90,18 @@ do
if [[ $arg == cleanall ]]; then
make -C $WORKSPACE/BaseTools clean
+ build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $TARGET_TOOLS -D SEC_ONLY -n 3 clean
+ build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $UNIXPKG_TOOLS -n 3 clean
+ exit $?
+ fi
+
+ if [[ $arg == clean ]]; then
+ build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $TARGET_TOOLS -D SEC_ONLY -n 3 clean
+ build -p $WORKSPACE/UnixPkg/UnixPkgX64.dsc -a X64 -t $UNIXPKG_TOOLS -n 3 clean
+ exit $?
fi
+
+
if [[ $arg == shell ]]; then
build -p $WORKSPACE/GccShellPkg/GccShellPkg.dsc -a X64 -t $UNIXPKG_TOOLS -n 3 $2 $3 $4 $5 $6 $7 $8
exit $?